Note

Known issues in this security update

View products that this article applies to.

Summary

This update resolves a vulnerability in the Microsoft .NET Framework that could allow remote code execution when the .NET Framework fails to properly validate input before loading libraries. An attacker who successfully exploits this vulnerability could take control of an affected system. The attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights. To learn more about this vulnerability, see Microsoft Common Vulnerabilities and Exposures CVE-2017-0160.

Important

  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Additional information about this security update

For any Windows Management Instrumentation (WMI) applications returning the following error message:

Get-WmiObject: The method or operation is not implemented.

To temporarily disable this update, customers can apply the following registry entry to their system.

Warning Enabling this registry entry could allow security vulnerabilities including Remote Code Execution.

Registry entry

Notes

  • For 32-bit process on 32-bit system and 64-bit process on 64-bit system:

    HKEY_LOCAL_MACHINE\Software\Microsoft\.NETFramework\v4.0.30319@WMIDisableCOMSecurity=1

  • For 32-bit process on 64-bit system:

    HKEY_LOCAL_MACHINE \Software\Wow6432Node\Microsoft\.NETFramework\v4.0.30319@WMIDisableCOMSecurity=1

  • This registry entry should be a DWORD entry.

  • This registry entry restores the previous unsecured state.

  • For more information about this security update as it relates to Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2, see the following article in the Microsoft Knowledge Base:

    4014985 Security Only update for the .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, and 4.6.2 updates for Windows 7 Service Pack 1 and Windows Server 2008 R2 Service Pack 1: April 11, 2017
    For more information about this security update as it relates to Windows Vista and Windows Server 2008, see the following article in the Microsoft Knowledge Base:

    4014988 Security Only update for the .NET Framework 2.0 Service Pack 2, 4.5.2, and 4.6 updates for Windows Vista Service Pack 2 and Windows Server 2008 Service Pack 2: April 11, 2017

How to obtain and install the update

Method 1: Microsoft Update Catalog

To get the stand-alone package for Windows Vista and Windows Server 2008 for this update, go to the Microsoft Update Catalog.

To get the stand-alone package for Windows 7 and Windows Server 2008 R2 for this update, go to the Microsoft Update Catalog.

Method 2: Windows Software Update Services (WSUS)

On your WSUS server, follow these steps:

  1. Click Start, click Administrative Tools, and then click Microsoft Windows Server Update Services 3.0.

  2. Expand ComputerName, and then click Action.

  3. Click Import Updates.

  4. WSUS will open a browser window in which you may be prompted to install an ActiveX control. You must install the ActiveX control to continue.

  5. Once the control is installed, you will see the Microsoft Update Catalog screen.
    For Windows Vista and Windows Server 2008, enter 4014988 in the Search box, and then click Search.
    For Windows 7 and Windows Server 2008 R2, enter 4014985 in the Search box, and then click Search.

  6. Locate the .NET Framework packages that match the operating systems, languages, and processors in your environment. Click Add to add them to your basket.

  7. When you have selected all the packages you need, click View Basket.

  8. Click Import to import the packages to your WSUS server.

  9. Click Close once the packages have been imported to return to WSUS.

The updates are now available for installation through WSUS.

Update deployment information

For deployment details for this security update, go to the following article in the Microsoft Knowledge Base:

Security update deployment information: April 11, 2017

Update removal information

Note We do not recommend that you remove any security update. To remove this update, use the Programs and Features item in Control Panel.

Update restart information

This update does not require a system restart after you apply it unless files that are being updated are locked or are being used.

Update replacement information

This update does not replace any previously released update.

File information

File name

SHA1 hash

SHA256 hash

NDP45-KB4014566-x86.exe

03CFE905211220F70C6D9EEB61DFDBFA12897519

E0F13BE913CD0464635EBF866C4DD0172E7151C951B5A71BCEED0F231BE52F24

NDP45-KB4014566-x64.exe

95B57712424A36CAC3FC2F27FCC12E4555A80AFD

C9C3138FFC50C0F48C5345AF4991A5574FCE70464440926A1B75778ADDB2AC7D

File attributes
The English (United States) version of this software update installs files that have the attributes that are listed in the following tables.

Vista SP2, Windows Server 2008 SP2, Windows 7 and Windows Server 2008 R2 file information

File name

File version

File size

Date

Time

System.Management.dll

4.0.30319.36387

408,264

20-Mar-2017

20:40

WMINet_Utils.dll

4.0.30319.36387

126,128

20-Mar-2017

21:31

msvcp120_clr0400.dll

12.0.52387.36387

536,768

20-Mar-2017

21:31

msvcr120_clr0400.dll

12.0.52387.36387

875,712

20-Mar-2017

21:31

 

File name

File version

File size

Date

Time

System.Management.dll

4.0.30319.36387

408,264

20-Mar-2017

20:40

WMINet_Utils.dll

4.0.30319.36387

174,256

20-Mar-2017

21:45

WMINet_Utils.dll

4.0.30319.36387

126,128

20-Mar-2017

21:31

msvcp120_clr0400.dll

12.0.52387.36387

678,592

20-Mar-2017

21:45

msvcp120_clr0400.dll

12.0.52387.36387

536,768

20-Mar-2017

21:31

msvcr120_clr0400.dll

12.0.52387.36387

869,568

20-Mar-2017

21:45

msvcr120_clr0400.dll

12.0.52387.36387

875,712

20-Mar-2017

21:31

How to obtain help and support for this security update

Applies to

This article applies to the following:

  • Microsoft .NET Framework 4.5.2 when used with:

    • Windows Server 2008 Service Pack 1

    • Windows 7 Service Pack 1

    • Windows Server 2008 Service Pack 2

    • Windows Vista Service Pack 2

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

What affected your experience?

Any additional feedback? (Optional)

Thank you for your feedback!

×